import { Component, inject, OnInit } from '@angular/core';
import { filter, from, map, reduce } from 'rxjs';
import { Router, RouterOutlet } from '@angular/router';
import {SignalComponent} from "./signal/signal.component";

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet, SignalComponent],
  template: `
    <app-signal />
    <router-outlet />
  `,
})
export class AppComponent implements OnInit {
  router: Router = inject(Router);

  ngOnInit() {
    //this.router.navigate(['hotels']);
  }
}
