import { Routes } from '@angular/router';
import { HotelsComponent } from './hotel/component/hotels.component';
import { HotelComponent } from './hotel/component/hotel.component';
import { CreateHotelComponent } from './hotel/component/create-hotel.component';

export const routes: Routes = [
  {
    path: 'hotels',
    loadComponent: () => import('./hotel/component/hotels.component').then((m) => m.HotelsComponent),
    title: 'Hotels',
  },
  {
    path: 'hotels/new',
    loadComponent: () => import('./hotel/component/create-hotel.component').then((m) => m.CreateHotelComponent),
    title: 'New Hotel',
  },
  {
    path: 'hotels/:hotelId',
    loadComponent: () => import('./hotel/component/hotel.component').then((m) => m.HotelComponent),
    title: 'Hotel',
  },
];
